Package: org.codehaus.groovy.grails.resolve.reporting

## [Groovy] Class GraphNode

- org.codehaus.groovy.grails.resolve.reporting.GraphNode

- A node in a dependency graph

  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.Collection<GraphNode>` | `children`
    `Dependency` | `dependency`
    `java.lang.Boolean` | `resolved`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GraphNode (Dependency dependency)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.Collection<GraphNode> children

    - #### Dependency dependency

    - #### java.lang.Boolean resolved

  - ### Constructor Detail

    - #### GraphNode(Dependency dependency)

  - ### Method Detail

    - #### @java.lang.Override java.lang.String toString()